Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1657326 - [DOCS] Deploying Registry is missing variable that must be manually defined.
Summary: [DOCS] Deploying Registry is missing variable that must be manually defined.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Yadan Pei
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 16:26 UTC by Ryan Howe
Modified: 2019-04-10 19:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-10 19:40:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3735971 0 None None None 2018-12-26 17:35:53 UTC

Description Ryan Howe 2018-12-07 16:26:59 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.11/install_config/registry/deploy_registry_existing_clusters.html

Describe the issue: 

For imagestreams to work properly REGISTRY_OPENSHIFT_SERVER_ADDR must be equal to what is set for internalRegistryHostname set in the master-config.yaml. 

imagePolicyConfig:
internalRegistryHostname: docker-registry.default.svc:5000


Information is deep in the configuration doc but should be moved to deploying existing registry doc.  
https://docs.openshift.com/container-platform/3.11/install_config/registry/extended_registry_configuration.html#setting-the-registry-hostname

# oc set env dc docker-registry REGISTRY_OPENSHIFT_SERVER_ADDR=docker-registry.default.svc:5000


Ansible installer sets this: 
https://github.com/openshift/openshift-ansible/blob/release-3.11/roles/openshift_hosted/tasks/registry.yml#L15-L22

Comment 1 Ashley Hardin 2019-03-26 21:24:10 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/14242

Ryan, please review. Thanks!

Comment 2 Wei Sun 2019-04-10 03:13:04 UTC
Hi Yadan,please check if it could be verified.

Comment 3 Wenjing Zheng 2019-04-10 09:32:44 UTC
Verified the doc pr.


Note You need to log in before you can comment on or make changes to this bug.